# Integration

## GET /api/v2/Integrations/{strToken}/{strMemoriID}

> Gets a list of Integration objects for a specified Memori object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Integrations/{strToken}/{strMemoriID}":{"get":{"tags":["Integration"],"summary":"Gets a list of Integration objects for a specified Memori object.","operationId":"Integration-ListIntegrations","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIntegrationsResponse"}}}}}}}},"components":{"schemas":{"ListIntegrationsResponse":{"type":"object","properties":{"integrations":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationSpecs"},"description":"The list of Integration objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Integrations request."},"IntegrationSpecs":{"type":"object","properties":{"integrationID":{"type":"string","description":"Integration ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Integration refers to.\r\nRequired during Registration operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"type":{"type":"string","description":"Type of this integration (Google, Alexa, landing home page, etc.). Required during Registration operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GOOGLE</code>: a Google Home integration</li> <li><code>ALEXA</code>: an Amazon Alexa integration</li> <li><code>LANDING_EXPERIENCE</code>: a public Memori home page and landing experience</li> </ul>","nullable":true},"state":{"type":"string","description":"Current state of deployment this integration. Returned during Registration and Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>NEW</code></li> <li><code>PROCESSING</code></li> <li><code>DONE</code></li> <li><code>REMOVED</code></li> <li><code>ERROR</code></li> <li><code>WAITING_MANUAL_ACTION</code></li> <li><code>DRAFT</code></li> <li><code>NOT_VALIDATED</code></li> <li><code>PUBLISHED</code></li> </ul>","nullable":true},"deviceEmails":{"type":"array","items":{"type":"string"},"description":"List of e-mails associated with on-device accounts.\r\nUsed during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"invocationText":{"type":"string","description":"Text to be spoken to invoke the integration.\r\nMay be used during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"jobID":{"type":"string","description":"ID of the deployment job of this integration.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"customData":{"type":"string","description":"JSON structure containing the data specific for this type of\r\nintegration. May be used during Registration and Update operations,\r\ndepending on the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"resources":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationResourceSpecs"},"description":"Additional resources need by, or returned by, the deployment job.\r\nMay be used during Registration and Update operations, depending\r\non the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"publish":{"type":"boolean","description":"If set to True, the integration will be published on the\r\ncorresponding environment (e.g. on Amazon Alexa or Google Home)\r\nto the general public. If False the integration will remain\r\navailable only for testing.\r\nUsed during Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration object."},"IntegrationResourceSpecs":{"type":"object","properties":{"name":{"type":"string","description":"Resource name.","nullable":true},"url":{"type":"string","description":"Resource URL.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration Resource object."}}}}
````

## Gets a list of all Integration objects.

> Access to Integration objects not belonging to the current logged in user> \
> is granted only to administrative users.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/AllIntegrations/{strToken}":{"get":{"tags":["Integration"],"summary":"Gets a list of all Integration objects.","description":"Access to Integration objects not belonging to the current logged in user\r\nis granted only to administrative users.","operationId":"Integration-ListAllIntegrations","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIntegrationsResponse"}}}}}}}},"components":{"schemas":{"ListIntegrationsResponse":{"type":"object","properties":{"integrations":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationSpecs"},"description":"The list of Integration objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Integrations request."},"IntegrationSpecs":{"type":"object","properties":{"integrationID":{"type":"string","description":"Integration ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Integration refers to.\r\nRequired during Registration operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"type":{"type":"string","description":"Type of this integration (Google, Alexa, landing home page, etc.). Required during Registration operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GOOGLE</code>: a Google Home integration</li> <li><code>ALEXA</code>: an Amazon Alexa integration</li> <li><code>LANDING_EXPERIENCE</code>: a public Memori home page and landing experience</li> </ul>","nullable":true},"state":{"type":"string","description":"Current state of deployment this integration. Returned during Registration and Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>NEW</code></li> <li><code>PROCESSING</code></li> <li><code>DONE</code></li> <li><code>REMOVED</code></li> <li><code>ERROR</code></li> <li><code>WAITING_MANUAL_ACTION</code></li> <li><code>DRAFT</code></li> <li><code>NOT_VALIDATED</code></li> <li><code>PUBLISHED</code></li> </ul>","nullable":true},"deviceEmails":{"type":"array","items":{"type":"string"},"description":"List of e-mails associated with on-device accounts.\r\nUsed during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"invocationText":{"type":"string","description":"Text to be spoken to invoke the integration.\r\nMay be used during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"jobID":{"type":"string","description":"ID of the deployment job of this integration.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"customData":{"type":"string","description":"JSON structure containing the data specific for this type of\r\nintegration. May be used during Registration and Update operations,\r\ndepending on the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"resources":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationResourceSpecs"},"description":"Additional resources need by, or returned by, the deployment job.\r\nMay be used during Registration and Update operations, depending\r\non the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"publish":{"type":"boolean","description":"If set to True, the integration will be published on the\r\ncorresponding environment (e.g. on Amazon Alexa or Google Home)\r\nto the general public. If False the integration will remain\r\navailable only for testing.\r\nUsed during Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration object."},"IntegrationResourceSpecs":{"type":"object","properties":{"name":{"type":"string","description":"Resource name.","nullable":true},"url":{"type":"string","description":"Resource URL.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration Resource object."}}}}
````

## Gets the details of an Integration object of the currently logged in User.

> Access to Integration objects not belonging to the current logged in user> \
> is granted only to administrative users.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Integration/{strToken}/{strIntegrationID}":{"get":{"tags":["Integration"],"summary":"Gets the details of an Integration object of the currently logged in User.","description":"Access to Integration objects not belonging to the current logged in user\r\nis granted only to administrative users.","operationId":"Integration-GetIntegration","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strIntegrationID","in":"path","description":"The ID of the Integration object","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetIntegrationResponse"}}}}}}}},"components":{"schemas":{"GetIntegrationResponse":{"type":"object","properties":{"integration":{"$ref":"#/components/schemas/IntegrationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get Integration request."},"IntegrationSpecs":{"type":"object","properties":{"integrationID":{"type":"string","description":"Integration ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Integration refers to.\r\nRequired during Registration operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"type":{"type":"string","description":"Type of this integration (Google, Alexa, landing home page, etc.). Required during Registration operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GOOGLE</code>: a Google Home integration</li> <li><code>ALEXA</code>: an Amazon Alexa integration</li> <li><code>LANDING_EXPERIENCE</code>: a public Memori home page and landing experience</li> </ul>","nullable":true},"state":{"type":"string","description":"Current state of deployment this integration. Returned during Registration and Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>NEW</code></li> <li><code>PROCESSING</code></li> <li><code>DONE</code></li> <li><code>REMOVED</code></li> <li><code>ERROR</code></li> <li><code>WAITING_MANUAL_ACTION</code></li> <li><code>DRAFT</code></li> <li><code>NOT_VALIDATED</code></li> <li><code>PUBLISHED</code></li> </ul>","nullable":true},"deviceEmails":{"type":"array","items":{"type":"string"},"description":"List of e-mails associated with on-device accounts.\r\nUsed during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"invocationText":{"type":"string","description":"Text to be spoken to invoke the integration.\r\nMay be used during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"jobID":{"type":"string","description":"ID of the deployment job of this integration.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"customData":{"type":"string","description":"JSON structure containing the data specific for this type of\r\nintegration. May be used during Registration and Update operations,\r\ndepending on the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"resources":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationResourceSpecs"},"description":"Additional resources need by, or returned by, the deployment job.\r\nMay be used during Registration and Update operations, depending\r\non the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"publish":{"type":"boolean","description":"If set to True, the integration will be published on the\r\ncorresponding environment (e.g. on Amazon Alexa or Google Home)\r\nto the general public. If False the integration will remain\r\navailable only for testing.\r\nUsed during Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration object."},"IntegrationResourceSpecs":{"type":"object","properties":{"name":{"type":"string","description":"Resource name.","nullable":true},"url":{"type":"string","description":"Resource URL.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration Resource object."}}}}
````

## DELETE /api/v2/Integration/{strToken}/{strIntegrationID}

> Deletes an existing Integration object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Integration/{strToken}/{strIntegrationID}":{"delete":{"tags":["Integration"],"summary":"Deletes an existing Integration object.","operationId":"Integration-DeleteIntegration","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strIntegrationID","in":"path","description":"The Integration object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## PATCH /api/v2/Integration/{strToken}/{strIntegrationID}

> Updates an existing Integration object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Integration/{strToken}/{strIntegrationID}":{"patch":{"tags":["Integration"],"summary":"Updates an existing Integration object.","operationId":"Integration-UpdateIntegration","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strIntegrationID","in":"path","description":"The Integration object ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Integration specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIntegrationResponse"}}}}}}}},"components":{"schemas":{"IntegrationSpecs":{"type":"object","properties":{"integrationID":{"type":"string","description":"Integration ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Integration refers to.\r\nRequired during Registration operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"type":{"type":"string","description":"Type of this integration (Google, Alexa, landing home page, etc.). Required during Registration operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GOOGLE</code>: a Google Home integration</li> <li><code>ALEXA</code>: an Amazon Alexa integration</li> <li><code>LANDING_EXPERIENCE</code>: a public Memori home page and landing experience</li> </ul>","nullable":true},"state":{"type":"string","description":"Current state of deployment this integration. Returned during Registration and Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>NEW</code></li> <li><code>PROCESSING</code></li> <li><code>DONE</code></li> <li><code>REMOVED</code></li> <li><code>ERROR</code></li> <li><code>WAITING_MANUAL_ACTION</code></li> <li><code>DRAFT</code></li> <li><code>NOT_VALIDATED</code></li> <li><code>PUBLISHED</code></li> </ul>","nullable":true},"deviceEmails":{"type":"array","items":{"type":"string"},"description":"List of e-mails associated with on-device accounts.\r\nUsed during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"invocationText":{"type":"string","description":"Text to be spoken to invoke the integration.\r\nMay be used during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"jobID":{"type":"string","description":"ID of the deployment job of this integration.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"customData":{"type":"string","description":"JSON structure containing the data specific for this type of\r\nintegration. May be used during Registration and Update operations,\r\ndepending on the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"resources":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationResourceSpecs"},"description":"Additional resources need by, or returned by, the deployment job.\r\nMay be used during Registration and Update operations, depending\r\non the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"publish":{"type":"boolean","description":"If set to True, the integration will be published on the\r\ncorresponding environment (e.g. on Amazon Alexa or Google Home)\r\nto the general public. If False the integration will remain\r\navailable only for testing.\r\nUsed during Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration object."},"IntegrationResourceSpecs":{"type":"object","properties":{"name":{"type":"string","description":"Resource name.","nullable":true},"url":{"type":"string","description":"Resource URL.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration Resource object."},"UpdateIntegrationResponse":{"type":"object","properties":{"integration":{"$ref":"#/components/schemas/IntegrationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Update Integration request."}}}}
````

## POST /api/v2/Integration/{strToken}

> Registers a new Integration object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Integration/{strToken}":{"post":{"tags":["Integration"],"summary":"Registers a new Integration object.","operationId":"Integration-RegisterIntegration","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Integration specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterIntegrationResponse"}}}}}}}},"components":{"schemas":{"IntegrationSpecs":{"type":"object","properties":{"integrationID":{"type":"string","description":"Integration ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Integration refers to.\r\nRequired during Registration operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"type":{"type":"string","description":"Type of this integration (Google, Alexa, landing home page, etc.). Required during Registration operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GOOGLE</code>: a Google Home integration</li> <li><code>ALEXA</code>: an Amazon Alexa integration</li> <li><code>LANDING_EXPERIENCE</code>: a public Memori home page and landing experience</li> </ul>","nullable":true},"state":{"type":"string","description":"Current state of deployment this integration. Returned during Registration and Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>NEW</code></li> <li><code>PROCESSING</code></li> <li><code>DONE</code></li> <li><code>REMOVED</code></li> <li><code>ERROR</code></li> <li><code>WAITING_MANUAL_ACTION</code></li> <li><code>DRAFT</code></li> <li><code>NOT_VALIDATED</code></li> <li><code>PUBLISHED</code></li> </ul>","nullable":true},"deviceEmails":{"type":"array","items":{"type":"string"},"description":"List of e-mails associated with on-device accounts.\r\nUsed during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"invocationText":{"type":"string","description":"Text to be spoken to invoke the integration.\r\nMay be used during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"jobID":{"type":"string","description":"ID of the deployment job of this integration.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"customData":{"type":"string","description":"JSON structure containing the data specific for this type of\r\nintegration. May be used during Registration and Update operations,\r\ndepending on the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"resources":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationResourceSpecs"},"description":"Additional resources need by, or returned by, the deployment job.\r\nMay be used during Registration and Update operations, depending\r\non the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"publish":{"type":"boolean","description":"If set to True, the integration will be published on the\r\ncorresponding environment (e.g. on Amazon Alexa or Google Home)\r\nto the general public. If False the integration will remain\r\navailable only for testing.\r\nUsed during Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration object."},"IntegrationResourceSpecs":{"type":"object","properties":{"name":{"type":"string","description":"Resource name.","nullable":true},"url":{"type":"string","description":"Resource URL.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration Resource object."},"RegisterIntegrationResponse":{"type":"object","properties":{"integration":{"$ref":"#/components/schemas/IntegrationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Register Integration request."}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisuru.com/api/backend/integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
